% Output= punto casuale sulla sfera centrata in xc,yc,zc e raggio err
function [x,y,z]=mysphere(xc,yc,zc,err)
E=0;
while E<5
    [X,Y,Z]=sphere(50);
    r=err;
    X=xc-X*r;
    Y=yc-Y*r;
    Z=zc-Z*r;
    row=ceil(51*rand);
    col=ceil(51*rand);
    x=X(row,col);
    y=Y(row,col);
    z=Z(row,col);
    %verifia parte superiore della sfera (se E<5 calcolare un altro punto)
    rho(1)=(x-xc)/norm(x-xc);
    rho(2)=(y-yc)/norm(y-yc);
    rho(3)=(z-zc)/norm(z-zc);
    u_vect=[cos(0)*cos(-pi/2), sin(0)*cos(-pi/2), sin(-pi/2)];
    E=rad2deg(asin(dot(rho,u_vect)));
end
end